Skip to main content
POST
/
knowledge-base
/
{knowledgeBaseId}
/
faqs
Create FAQ
curl --request POST \
  --url https://services.leadconnectorhq.com/knowledge-base/{knowledgeBaseId}/faqs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Version: <version>' \
  --data '
{
  "question": "How do I reset my password?",
  "answer": "Navigate to Settings > Security and click Reset Password."
}
'
{
  "faq": {
    "id": "faq_abc123",
    "knowledgeBaseId": "kb_abc123def456",
    "question": "How do I reset my password?",
    "answer": "Navigate to Settings > Security and click Reset Password.",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-07-28

Path Parameters

knowledgeBaseId
string
required

The knowledge base ID to add the FAQ to

Example:

"kb_abc123def456"

Body

application/json
question
string
required

The FAQ question

Example:

"How do I reset my password?"

answer
string
required

The FAQ answer

Example:

"Navigate to Settings > Security and click Reset Password."

Response

FAQ created successfully

faq
object
Last modified on March 7, 2026